diff --git a/dump_cfg.cpp b/dump_cfg.cpp
index 5b74642..4c7fdc8 100755
--- a/dump_cfg.cpp
+++ b/dump_cfg.cpp
@@ -44,6 +44,8 @@ enum{INT,DOUBLE,STRING,BIGINT};   // same as in DumpCustom
 DumpCFG::DumpCFG(LAMMPS *lmp, int narg, char **arg) :
   DumpCustom(lmp, narg, arg)
 {
+  multifile_override = 0;
+
   if (narg < 10 ||
       strcmp(arg[5],"mass") != 0 || strcmp(arg[6],"type") != 0 ||
       (strcmp(arg[7],"xs") != 0 && strcmp(arg[7],"xsu") != 0) ||
@@ -115,7 +117,7 @@ DumpCFG::~DumpCFG()
 
 void DumpCFG::init_style()
 {
-  if (multifile == 0) 
+  if (multifile == 0 && !multifile_override) 
     error->all(FLERR,"Dump cfg requires one snapshot per file");
 
   DumpCustom::init_style();
diff --git a/dump_cfg.h b/dump_cfg.h
index 192074c..8fe3698 100755
--- a/dump_cfg.h
+++ b/dump_cfg.h
@@ -26,6 +26,8 @@ namespace LAMMPS_NS {
 
 class DumpCFG : public DumpCustom {
  public:
+  int multifile_override;          // used by write_dump command
+  
   DumpCFG(class LAMMPS *, int, char **);
   ~DumpCFG();
 
diff --git a/write_dump.cpp b/write_dump.cpp
index 35a7072..27452e9 100644
--- a/write_dump.cpp
+++ b/write_dump.cpp
@@ -72,6 +72,9 @@ void WriteDump::command(int narg, char **arg)
   if (strcmp(arg[1],"image") == 0) 
     ((DumpImage *) dump)->multifile_override = 1;
 
+  if (strcmp(arg[1],"cfg") == 0) 
+    ((DumpCFG *) dump)->multifile_override = 1;
+
   dump->init();
   dump->write();
 
